> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_ratio.md).

# nats\_display\_ratio

*Article Topics:* [*Customization*](/getting-started/common-topics/customization.md)*,* [*Templates*](/getting-started/common-topics/templates.md)

Alias: display\_ratio

## Parameters

(*Required parameters in **bold**)*

| Parameter                                                                                                       | Description                                             | Possible Values                    | Default Value                                        | Example                 |
| --------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------- | ---------------------------------- | ---------------------------------------------------- | ----------------------- |
| hits                                                                                                            | Number of the affiliate's referred hits                 | Any whole number greater than zero | Required                                             | hits="123"              |
| joins                                                                                                           | Number of the affiliate's referred hits                 | Any whole number greater than zero | Required                                             | joins="123"             |
| [assign\_prefix](/nats-admin/skins-and-templates/further-reading/template-function-parameters/assign_prefix.md) | Prefix the variable name with this word                 | Any valid Smarty variable name     | *None.* Not used                                     | assign\_prefix="myvar"  |
| assign                                                                                                          | Make the variable name this word (see notes)            | Any valid Smarty variable name     | *None.* Not used                                     | assign="myvar"          |
| display\_on\_assign                                                                                             | Display output even if the parameter, *assign*, is used | 0 or 1 (exclusive)                 | Not set. Output is not displayed if *assign* is used | display\_on\_assign="1" |

## Output

The ratio of hits over joins. For example, 1:1.

If the *assign* parameter is used, output is put in the variable named by *assign\_prefix* and *assign* and not displayed. If *assign* and *display\_on\_assign* are both used, output is put in a variable and displayed.

## See Also

* [nats\_display\_stats\_form](/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_adtool_form.md) -- Displays stats form that often includes a ratio


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_ratio.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
